package model

import "github.com/zeromicro/go-zero/core/stores/sqlx"

var _ DcAlarmListModel = (*customDcAlarmListModel)(nil)

type (
	// DcAlarmListModel is an interface to be customized, add more methods here,
	// and implement the added methods in customDcAlarmListModel.
	DcAlarmListModel interface {
		dcAlarmListModel
	}

	customDcAlarmListModel struct {
		*defaultDcAlarmListModel
	}
)

// NewDcAlarmListModel returns a model for the database table.
func NewDcAlarmListModel(conn sqlx.SqlConn) DcAlarmListModel {
	return &customDcAlarmListModel{
		defaultDcAlarmListModel: newDcAlarmListModel(conn),
	}
}
